Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class AssignCollectionUniqueRule

- groovy.org.codenarc.rule.groovyism.AssignCollectionUniqueRule

- the unique method mutates the original list. If a user is using the result of this method then they probably don't understand thiss

  Authors:
    Nick Larson
    Juan Vazquez
    Jon DeJong

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority